Bug 1122775 - [RFE][keystone]: Standardizing the federation process
Summary: [RFE][keystone]: Standardizing the federation process
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ga
: 6.0 (Juno)
Assignee: Nathan Kinder
QA Contact: Udi
URL: https://blueprints.launchpad.net/keys...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 04:03 UTC by RHOS Integration
Modified: 2016-04-26 16:04 UTC (History)
4 users (show)

Fixed In Version: openstack-keystone-2014.2.1-1.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 20:05:05 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-24 04:03:57 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/keystone/+spec/generic-mapping-federation.

Description:

We propose that the federated authentication process be reengineered so that
a user_id is returned alongside the identity attributes. In addition the
saml2.py authentication module should be renamed as mapped.py to denote that it
applies to all authentication methods which require the asserted identity
attributes to be mapped into local attributes.

Specification URL (additional information):

https://review.openstack.org/#/c/104301

Comment 2 Scott Lewis 2015-02-09 20:05:05 UTC
This bug has been closed as a part of the RHEL-OSP 6 general availability release. For details, see https://rhn.redhat.com/errata/rhel7-rhos-6-errata.html


Note You need to log in before you can comment on or make changes to this bug.